=== debian/changelog ===
patchance (0.2.0-0.2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * debian/control: remove qtchooser from build-deps, add explicit dependency
    for python3-pyqt5.qtsvg. Also change to "all" architecture, since it's
    pure Python3.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 Jan 2023 14:02:56 -0800

patchance (0.2.0-0ubuntu2) lunar; urgency=medium

  * d/control: Fix binary dependencies
  * add d/not-installed, lintian-overrides
  * d/copyright: Unrestrict GPL-2 to GPL-2+

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 28 Nov 2022 17:17:37 -0800

patchance (0.2.0-0ubuntu1) lunar; urgency=medium

  * Initial release. (LP: #1997292)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 04 Oct 2022 17:53:55 -0700
