=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT = 5

%:
	dh $@ --with python3

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
	rm debian/patchance/usr/share/patchance/HoustonPatchbay/themes/Yellow\ Boards/fonts/*.ttf

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym
