=== debian/changelog ===
patchance (1.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release 1.0.0

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 17 Feb 2023 07:01:28 -0800
