=== debian/changelog ===
patchance (1.1.0-0ubuntu3) plucky; urgency=medium

  * d/control: Add Depends: python3-legacy-cgi (LP: #2104216)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 25 Mar 2025 20:30:30 -0700

patchance (1.1.0-0ubuntu2) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 20:00:24 +0200

patchance (1.1.0-0ubuntu1) mantic; urgency=medium

  * New upstream release 1.1.0
  * d/copyright: update to include pyjacklib, update dates

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 29 Jul 2023 09:41:43 -0700
