=== debian/control ===
Source: patchance
Section: sound
Priority: optional
Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-dev,
 pkgconf,
 python3-pyqt5,
 pyqt5-dev-tools,
 qttools5-dev,
 qtchooser
Standards-Version: 4.6.1
Homepage: https://github.com/Houston4444/Patchance

Package: patchance
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
 fonts-roboto-fontface,
 fonts-roboto-unhinted,
 python3-legacy-cgi
Description: Jack Patchbay GUI
 Patchance is one more JACK patchbay GUI for GNU/Linux systems, but it could be
 adapted to Mac and Windows with little effort. It is a direct alternative to
 Catia or Patchage.
 .
 Features:
  - Stereo detection for port grouping with their name, for faster
    connections and readability
  - Wrap/Unwrap boxes to can hide things you don't need
  - Prevent the boxes from overlapping
  - Search a box with a pattern
  - Connection with double click for easier touchpad use
  - Connection from context menu
  - Editable themes (9 Themes embedded)
  - show only Audio, only MIDI, or only CV ports
  - Transport controls
  - Customizable tool bar
  - many others...
