=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
	rm debian/patchance/usr/share/patchance/HoustonPatchbay/themes/Yellow\ Boards/fonts/*.ttf
