## patchance 1.3.0

=== Makefile ===
--- 
+++ 
@@ -8,28 +8,60 @@
 DEST_PATCHANCE := $(DESTDIR)$(PREFIX)/share/patchance
 
 LINK = ln -s -f
-PYUIC := pyuic5
-PYRCC := pyrcc5
+LRELEASE ?= lrelease
+RCC ?= rcc
+QT_VERSION ?= 6
 
-LRELEASE := lrelease
-ifeq (, $(shell which $(LRELEASE)))
- LRELEASE := lrelease-qt5
+# if you set QT_VERSION environment variable to 5 at the make command
+# it will choose the other commands QT_API, pyuic5, pylupdate5.
+
+ifeq ($(QT_VERSION), 6)
+	QT_API ?= PyQt6
+	PYUIC ?= pyuic6
+	PYLUPDATE ?= pylupdate6
+	RCC_EXEC := $(shell which $(RCC))
+	RCC_QT6_DEB := /usr/lib/qt6/libexec/rcc
+
+	ifeq (, ${RCC_EXEC})
+		RCC := ${RCC_QT6_DEB}
+	else
+		ifeq ($(shell readlink ${RCC_EXEC}), qtchooser)
+			ifeq ($(shell test -x ${RCC_QT6_DEB} | echo $$?), 0)
+				RCC := ${RCC_QT6_DEB}
+			endif
+		endif
+	endif
+
+	ifeq (, $(shell which $(LRELEASE)))
+		LRELEASE := lrelease-qt6
+	endif
+
+else
+	QT_API ?= PyQt5
+	PYUIC ?= pyuic5
+	PYLUPDATE ?= pylupdate5
+	ifeq (, $(shell which $(LRELEASE)))
+		LRELEASE := lrelease-qt5
+	endif
 endif
 
-ifeq (, $(shell which $(LRELEASE)))
- LRELEASE := lrelease-qt4
-endif
+# neeeded for make install
+BUILD_CFG_FILE := src/qt_api.py
+QT_API_INST := $(shell grep ^QT_API= $(BUILD_CFG_FILE) 2>/dev/null| cut -d'=' -f2| cut -d"'" -f2)
+QT_API_INST ?= PyQt5
+
+ICON_SIZES := 16 24 32 48 64 96 128 256
 
 PYTHON := python3
 ifeq (, $(shell which $(PYTHON)))
-  PYTHON := python
+	PYTHON := python
 endif
 
 PATCHBAY_DIR=HoustonPatchbay
 
 # ---------------------
 
-all: PATCHBAY UI RES LOCALE
+all: PATCHBAY QT_PREPARE UI RES LOCALE
 
 PATCHBAY:
 	@(cd $(PATCHBAY_DIR) && $(MAKE))
@@ -37,21 +69,26 @@
 # ---------------------
 # Resources
 
+QT_PREPARE:
+	$(info compiling for Qt$(QT_VERSION) using $(QT_API))
+	$(file > $(BUILD_CFG_FILE),QT_API='$(QT_API)')
+
+    ifneq ($(QT_API), $(QT_API_INST))
+		rm -f *~ src/*~ src/*.pyc src/ui/*.py \
+		    resources/locale/*.qm src/resources_rc.py
+    endif
+	install -d src/ui
+
 RES: src/resources_rc.py
 
 src/resources_rc.py: resources/resources.qrc
-	$(PYRCC) $< -o $@
+	rcc -g python $< |sed 's/ PySide. / qtpy /' > $@
 
 # ---------------------
 # UI code
 
-UI: mkdir_ui patchance 
-
-mkdir_ui:
-	@if ! [ -e src/ui ];then mkdir -p src/ui; fi
-
-patchance: src/ui/main_win.py \
-		   src/ui/about_patchance.py
+UI: $(shell \
+	ls resources/ui/*.ui| sed 's|\.ui$$|.py|'| sed 's|^resources/|src/|')
 
 src/ui/%.py: resources/ui/%.ui
 	$(PYUIC) $< -o $@
@@ -78,6 +115,7 @@
 	rm -f -R src/ui
 	rm -f -R src/__pycache__ src/*/__pycache__ src/*/*/__pycache__ \
 		  src/*/*/*/__pycache__
+	rm -f src/qt_api.py
 
 # -------------------------
 
@@ -131,26 +169,23 @@
 	install -m 644 resources/main_icon/scalable/patchance.svg \
 		$(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/
 
-#	# Copy patchbay themes
+    # Copy patchbay themes, manual and lib
 	cp -r HoustonPatchbay/themes $(DEST_PATCHANCE)/$(PATCHBAY_DIR)/
 	cp -r HoustonPatchbay/manual $(DEST_PATCHANCE)/$(PATCHBAY_DIR)/
+	cp -r HoustonPatchbay/source $(DEST_PATCHANCE)/$(PATCHBAY_DIR)/
 
 # 	# Install main code
 	cp -r src $(DEST_PATCHANCE)/
-	rm $(DEST_PATCHANCE)/src/patchbay
-	cp -r $(PATCHBAY_DIR)/patchbay $(DEST_PATCHANCE)/src/
-	rm $(DEST_PATCHANCE)/src/jacklib
-	cp -r pyjacklib/jacklib $(DEST_PATCHANCE)/src/
 	
 # 	# compile python files
+	$(PYTHON) -m compileall $(DEST_PATCHANCE)/HoustonPatchbay/source/
 	$(PYTHON) -m compileall $(DEST_PATCHANCE)/src/
 	
 # 	# install local manual
 # 	cp -r manual $(DEST_PATCHANCE)/
 		
 #   # install main bash scripts to bin
-	install -m 755 data/patchance  $(DESTDIR)$(PREFIX)/bin/
-	sed -i "s?X-PREFIX-X?$(PREFIX)?" $(DESTDIR)$(PREFIX)/bin/patchance
+	install -m 755 data/bin/patchance  $(DESTDIR)$(PREFIX)/bin/
 
 # 	# Install Translations
 	install -m 644 locale/*.qm $(DEST_PATCHANCE)/locale/
