=== debian/changelog ===
patchance (1.3.0-0ubuntu2) resolute; urgency=medium

  * Have armhf and riscv64 build with one singular process

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 05 Nov 2025 11:26:37 -0800

patchance (1.3.0-0ubuntu1) resolute; urgency=medium

  * New upstream version 1.3.0
  * d/control: switch to new Qt6 dependencies

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 03 Nov 2025 15:37:40 -0800
