=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
  dh-python,
  python3-dev,
  pkgconf,
- python3-pyqt5,
- pyqt5-dev-tools,
- qttools5-dev,
+ python3-qtpy,
+ pyqt6-dev-tools,
+ qt6-base-dev-tools,
+ qttools5-dev-tools,
  qtchooser
 Standards-Version: 4.6.1
 Homepage: https://github.com/Houston4444/Patchance
@@ -23,7 +24,8 @@
  ${python3:Depends},
  fonts-roboto-fontface,
  fonts-roboto-unhinted,
- python3-legacy-cgi
+ python3-legacy-cgi,
+ python3-jack-client
 Description: Jack Patchbay GUI
  Patchance is one more JACK patchbay GUI for GNU/Linux systems, but it could be
  adapted to Mac and Windows with little effort. It is a direct alternative to
