=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+# This fails to build on some archs with parallel builds
+DEB_BUILD_OPTIONS=parallel=1
 
 %:
 	dh $@ --with python3
