## patchance 1.3.1

=== debian/changelog ===
patchance (1.3.1-0ubuntu1) resolute; urgency=medium

  * New upstream release 1.3.1

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 22 Feb 2026 20:12:04 -0800
