=== debian/watch ===
version=4
opts="dversionmangle=auto,searchmode=plain" \
  https://api.github.com/repos/Houston4444/Patchance/releases?per_page=100 \
  https://github.com/Houston4444/Patchance/releases/download/v?[\d.]+/Patchance-@ANY_VERSION@-source@ARCHIVE_EXT@
